Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class FeatureModelFactory

    java.lang.Object
      org.eclipse.update.core.model.FeatureModelFactory

Direct Known Subclasses:
  BaseFeatureFactory

public class FeatureModelFactory
extends Object

Default feature model factory.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead subclass the provided base implementation of this factory.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `BaseFeatureFactory`

Constructor Summary
`FeatureModelFactory()` Creates a default model factory.

Method Summary
`FeatureModel` | `createFeatureModel()` Create a default feature model.
`ImportModel` | `createImportModel()` Create a default import dependency model.
`IncludedFeatureReferenceModel` | `createIncludedFeatureReferenceModel()` Create a default included feature reference model.
`InstallHandlerEntryModel` | `createInstallHandlerEntryModel()` Create a default install handler model.
`NonPluginEntryModel` | `createNonPluginEntryModel()` Create a default non-plug-in entry model.
`PluginEntryModel` | `createPluginEntryModel()` Create a default plug-in entry model.
`URLEntryModel` | `createURLEntryModel()` Create a default annotated URL model.
`FeatureModel` | `parseFeature(InputStream stream)` Creates and populates a default feature from stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureModelFactory

    public FeatureModelFactory()

  Creates a default model factory.

Since:
  2.0

Method Detail

### parseFeature

    public FeatureModel parseFeature(InputStream stream)
                              throws CoreException,
                                     SAXException

  Creates and populates a default feature from stream. The parser assumes the stream contains a default feature manifest (feature.xml) as documented by the platform.

  Parameters:
    `stream` - feature stream
  Returns:
    populated feature model
  Throws:
    `CoreException`
    `SAXException`
  Since:
    2.0

### createFeatureModel

    public FeatureModel createFeatureModel()

  Create a default feature model.

  Returns:
    feature model
  Since:
    2.0
  See Also:
    `FeatureModel`

### createIncludedFeatureReferenceModel

    public IncludedFeatureReferenceModel createIncludedFeatureReferenceModel()

  Create a default included feature reference model.

  Returns:
    feature model
  Since:
    2.1
  See Also:
    `IncludedFeatureReferenceModel`

### createInstallHandlerEntryModel

    public InstallHandlerEntryModel createInstallHandlerEntryModel()

  Create a default install handler model.

  Returns:
    install handler entry model
  Since:
    2.0
  See Also:
    `InstallHandlerEntryModel`

### createImportModel

    public ImportModel createImportModel()

  Create a default import dependency model.

  Returns:
    import dependency model
  Since:
    2.0
  See Also:
    `ImportModel`

### createPluginEntryModel

    public PluginEntryModel createPluginEntryModel()

  Create a default plug-in entry model.

  Returns:
    plug-in entry model
  Since:
    2.0
  See Also:
    `PluginEntryModel`

### createNonPluginEntryModel

    public NonPluginEntryModel createNonPluginEntryModel()

  Create a default non-plug-in entry model.

  Returns:
    non-plug-in entry model
  Since:
    2.0
  See Also:
    `NonPluginEntryModel`

### createURLEntryModel

    public URLEntryModel createURLEntryModel()

  Create a default annotated URL model.

  Returns:
    annotated URL model
  Since:
    2.0
  See Also:
    `URLEntryModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.